%define upstream_name	 Class-Date
%define upstream_version 1.1.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:	Class for easy date and time manipulation
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(UNIVERSAL::exports)
BuildRequires:	perl-devel



%description
This module is intended to provide a general-purpose date and datetime
type for perl. You have a Class::Date class for absolute date and
datetime, and have a Class::Date::Rel class for relative dates.

You can use "+", "-", "<" and ">" operators as with native perl data
types.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{perl_vendorarch}/Class
%{perl_vendorarch}/auto/Class
%{_mandir}/*/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.10-6.mga4
+ Revision: 524285
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.1.10-5.mga4
+ Revision: 430559
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.10-4.mga3
+ Revision: 364343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.1.10-3.mga3
+ Revision: 250320
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.1.10-2.mga2
+ Revision: 103635
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.1.10-1.mga1
+ Revision: 29891
- mageia rebuild
- imported package perl-Class-Date


* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 1.1.10-1mdv2011.0
+ Revision: 561044
- update to 1.1.10

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.1.9-7mdv2011.0
+ Revision: 555227
- rebuild

* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.1.9-6mdv2010.1
+ Revision: 505427
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.1.9-5mdv2010.0
+ Revision: 430324
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.1.9-4mdv2009.0
+ Revision: 255899
- rebuild

* Mon Jan 14 2008 Thierry Vignaud <tv@mandriva.org> 1.1.9-2mdv2008.1
+ Revision: 151856
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.9-1mdv2007.0
- New release 1.1.9

* Fri Nov 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.8-1mdk
- new version
- spec cleanup
- rpmbuilupdate support
- fix directory ownership
- better summary
- %%mkrel

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.7-1mdk
- initial Mandriva package

